> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.propexo.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.propexo.com/_mcp/server.

# Get all leads

GET https://api.propexo.com/v1/leads/

Get all leads

Reference: https://docs.propexo.com/api-reference/propertyware-rest/leads/get-all-leads

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Servers

- `https://api.propexo.com` (Production, default)
- `https://api.sandbox.propexo.com` (Sandbox)

## Request

### Query parameters

- `order-by` (string, optional, default: created_at:desc) — Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc
- `updated_at_gte` (string, optional, nullable) — Filter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)
- `updated_at_lte` (string, optional, nullable) — Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)
- `last_seen_gte` (string, optional, nullable) — Filter to records whose last_seen date is on or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)
- `last_seen_lte` (string, optional, nullable) — Filter to records whose last_seen date is on or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)
- `offset` (integer, optional, nullable, default: 0) — Can be used for paginating results
- `limit` (integer, optional, nullable, default: 100) — A number between 1 and 250 to determine the number of results to return in a single query
- `x_id` (string, optional) — The external lead id
- `x_property_id` (string, optional) — Deprecated: Use the Propexo property_id instead
- `location_id` (string, optional) — The Propexo unique identifier for the location associated with the property (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.
- `x_unit_id` (string, optional) — The external unit id
- `email_1` (string, optional) — Lead email address
- `email_2` (string, optional) — Lead email address alternate
- `property_id` (string, optional) — The Propexo property id
- `integration_id` (string, optional) — The Propexo integration id
- `integration_vendor` (enum, optional) — The integration vendor for the lead.
  - Allowed values: `APPFOLIO`, `BUILDIUM`, `ENTRATA`, `MRI`, `PROPERTYWARE`, `PROPERTYWARE_REST`, `REALPAGE`, `REALPAGE_RPX`, `RENTMANAGER`, `RENTVINE`, `RESMAN`, `YARDI`, `YARDI_REST`
- `phone_1` (string, optional) — Filter by phone number (10 digit format only)

## Response

### 200

Successful response

- `meta` (ResponseMeta, required)
- `results` (list of Lead, required)

## Errors

### 400 Bad Request Error

Bad Request

- `error` (ErrorResponseError, required)

## Types

### ResponseMeta

- `orderBy` (list of ResponseMetaOrderByItems, required) — The order of the results
- `offset` (integer, optional) — The offset of the first result
- `limit` (integer, optional) — The number of results to return
- `hasMore` (boolean, optional, nullable) — Whether there are more results
- `total` (integer, optional) — The total number of results

### Lead

- `id` (string, required) — The Propexo unique identifier for the lead
- `created_at` (string, required) — The date record first entered Propexo
- `updated_at` (string, required) — The date record was last updated in Propexo
- `last_seen` (string, required, nullable) — The date the record was last seen from the PMS
- `x_created_at` (string, required, nullable) — The date the record first entered the integration vendor | Method | Interface | |---|---| | /v1/prospects | Prospects |
- `x_guestcard_id` (any, required) — The external ID of the guestcard from the integration vendorThis field will always be null for PROPERTYWARE\_REST
- `x_id` (string, required) — The external ID from the integration vendor | Method | Interface | |---|---| | /v1/prospects | Prospects |
- `x_leasing_agent_id` (any, required) — The external ID of the leasing agent from the integration vendorThis field will always be null for PROPERTYWARE\_REST
- `x_property_id` (string, required) — The external ID of the property from the integration vendor | Method | Interface | |---|---| | /v1/prospects | Prospects |
- `x_unit_id_preferred` (list of string, required) — The external IDs of the units from the integration vendor that the lead is interested in | Method | Interface | |---|---| | /v1/prospects | Prospects |
- `x_updated_at` (string, required, nullable) — The date the record was last updated in the integration vendor | Method | Interface | |---|---| | /v1/prospects | Prospects |
- `x_lead_source_id` (any, required) — The external ID of the lead source from the integration vendorThis field will always be null for PROPERTYWARE\_REST
- `address_1` (any, required) — The first address line associated with the leadHydrating this field requires making requests to an additional API which will increase your processed records count. Please contact support to enable.This field will always be null for PROPERTYWARE\_REST
- `address_2` (any, required) — The second address line associated with the leadHydrating this field requires making requests to an additional API which will increase your processed records count. Please contact support to enable.This field will always be null for PROPERTYWARE\_REST
- `city` (any, required) — The city associated with the leadHydrating this field requires making requests to an additional API which will increase your processed records count. Please contact support to enable.This field will always be null for PROPERTYWARE\_REST
- `country` (any, required) — The country associated with the leadHydrating this field requires making requests to an additional API which will increase your processed records count. Please contact support to enable.This field will always be null for PROPERTYWARE\_REST
- `custom_data` (LeadCustomData, required, nullable)
- `date_of_birth` (any, required) — The date of birth associated with the leadThis field will always be null for PROPERTYWARE\_REST
- `desired_amenities` (any, required) — The desired amenities associated with the leadThis field will always be null for PROPERTYWARE\_REST
- `desired_floor_plan_id` (any, required) — The external ID of desired floor plan associated with the leadThis field will always be null for PROPERTYWARE\_REST
- `desired_floor_plan_name` (any, required) — The desired floor plan nameThis field will always be null for PROPERTYWARE\_REST
- `desired_lease_term_in_months` (any, required) — The desired lease termThis field will always be null for PROPERTYWARE\_REST
- `desired_max_rent_in_cents` (double, required, nullable) — The desired maximum rent | Method | Interface | |---|---| | /v1/prospects | Prospects |
- `desired_max_square_ft` (any, required) — The desired maximum square feetThis field will always be null for PROPERTYWARE\_REST
- `desired_min_rent_in_cents` (double, required, nullable) — The desired minimum rent | Method | Interface | |---|---| | /v1/prospects | Prospects |
- `desired_min_square_ft` (any, required) — The desired minimum square feetThis field will always be null for PROPERTYWARE\_REST
- `desired_num_bathrooms` (double, required, nullable) — The desired number of bathrooms | Method | Interface | |---|---| | /v1/prospects | Prospects |
- `desired_num_bedrooms` (integer, required, nullable) — The desired number of bedrooms | Method | Interface | |---|---| | /v1/prospects | Prospects |
- `desired_unit_number` (any, required) — The desired unit numberThis field will always be null for PROPERTYWARE\_REST
- `desired_unit_type` (any, required) — The desired unit typeThis field will always be null for PROPERTYWARE\_REST
- `email_1` (string, required, nullable) — The primary email address associated with the lead | Method | Interface | |---|---| | /v1/prospects | Prospects |
- `email_2` (any, required) — The secondary email address associated with the leadThis field will always be null for PROPERTYWARE\_REST
- `first_name` (string, required, nullable) — The first name associated with the lead | Method | Interface | |---|---| | /v1/prospects | Prospects |
- `ils` (any, required) — The name of the Internet listing serviceThis field will always be null for PROPERTYWARE\_REST
- `last_name` (string, required, nullable) — The last name associated with the lead | Method | Interface | |---|---| | /v1/prospects | Prospects |
- `lead_source` (string, required, nullable) — The lead source | Method | Interface | |---|---| | /v1/prospects | Prospects |
- `leasing_agent` (any, required) — The name of the leasing agentThis field will always be null for PROPERTYWARE\_REST
- `middle_name` (any, required) — The middle name associated with the leadHydrating this field requires making requests to an additional API which will increase your processed records count. Please contact support to enable.This field will always be null for PROPERTYWARE\_REST
- `notes` (string, required, nullable) — Notes associated with the lead | Method | Interface | |---|---| | /v1/prospects | Prospects |
- `number_of_occupants` (any, required) — The number of occupantsThis field will always be null for PROPERTYWARE\_REST
- `pets` (list of LeadPetsItems, required) — The pets associated with the leadThis field is not currently hydrated for PROPERTYWARE\_REST
- `phone_1_type` (string, required, nullable) — Type of the primary phone number | Method | Interface | |---|---| | /v1/prospects | Prospects |
- `phone_1` (string, required, nullable) — Primary phone number associated with the lead | Method | Interface | |---|---| | /v1/prospects | Prospects |
- `phone_2_type` (string, required, nullable) — Type of the secondary phone number | Method | Interface | |---|---| | /v1/prospects | Prospects |
- `phone_2` (string, required, nullable) — Secondary phone number associated with the lead | Method | Interface | |---|---| | /v1/prospects | Prospects |
- `state` (any, required) — The state associated with the leadHydrating this field requires making requests to an additional API which will increase your processed records count. Please contact support to enable.This field will always be null for PROPERTYWARE\_REST
- `status` (string, required, nullable) — The raw status associated with the lead | Method | Interface | |---|---| | /v1/prospects | Prospects |
- `target_move_in_date` (string, required, nullable) — The target move in date | Method | Interface | |---|---| | /v1/prospects | Prospects |
- `zip` (any, required) — The zip code associated with the leadHydrating this field requires making requests to an additional API which will increase your processed records count. Please contact support to enable.This field will always be null for PROPERTYWARE\_REST
- `property_id` (string, required) — The Propexo unique identifier for the property
- `lead_source_id` (any, required) — The Propexo unique identifier for the lead sourceThis field will always be null for PROPERTYWARE\_REST
- `unit_id_preferred` (list of string, required) — The Propexo unique identifiers for the units that the lead is interested in | Method | Interface | |---|---| | /v1/prospects | Prospects |
- `integration_id` (string, required) — The Propexo unique identifier for the integration
- `integration_vendor` (enum, required) — The property management system of record
  - Allowed values: `PROPERTYWARE_REST`, `APPFOLIO`, `BUILDIUM`, `ENTRATA`, `MRI`, `PROPERTYWARE`, `REALPAGE`, `REALPAGE_RPX`, `RENTMANAGER`, `RENTVINE`, `RESMAN`, `YARDI`, `YARDI_REST`
- `screenings` (list of LeadScreeningsItems, required) — This field is not currently hydrated for PROPERTYWARE_REST
- `x_unit_id` (string, required, nullable, deprecated) — DEPRECATED: Use x_unit_id_preferred instead | Method | Interface | |---|---| | /v1/prospects | Prospects |
- `pet_details` (string, required, nullable, deprecated) — DEPRECATED: Use the pets array instead | Method | Interface | |---|---| | /v1/prospects | Prospects |

### ErrorResponseError

- `code` (string, required)
- `message` (string, required)
- `details` (map from string to any, optional)

### ResponseMetaOrderByItems

### LeadCustomData

### LeadPetsItems

- `id` (string, required) — The Propexo unique identifier for the lead pet
- `created_at` (string, required) — The date record first entered Propexo
- `updated_at` (string, required) — The date record was last updated in Propexo
- `last_seen` (string, required, nullable) — The date the record was last seen from the PMS
- `x_id` (string, required) — The external ID from the integration vendor
- `age_in_years` (double, required, nullable) — The age in years of the lead petThis field is not currently hydrated for PROPERTYWARE\_REST
- `breed` (string, required, nullable) — The breed of the lead petThis field is not currently hydrated for PROPERTYWARE\_REST
- `color` (string, required, nullable) — The color of the lead petThis field is not currently hydrated for PROPERTYWARE\_REST
- `gender_raw` (string, required, nullable) — The raw value for the gender of the lead petThis field is not currently hydrated for PROPERTYWARE\_REST
- `is_fixed` (boolean, required, nullable) — Whether the lead pet is fixedThis field is not currently hydrated for PROPERTYWARE\_REST
- `is_service_animal` (boolean, required, nullable) — Whether the lead pet is a service animalThis field is not currently hydrated for PROPERTYWARE\_REST
- `name` (string, required, nullable) — The name associated with the lead petThis field is not currently hydrated for PROPERTYWARE\_REST
- `notes` (string, required, nullable) — Notes associated with the lead petThis field is not currently hydrated for PROPERTYWARE\_REST
- `type` (string, required, nullable) — The type associated with the lead petThis field is not currently hydrated for PROPERTYWARE\_REST
- `weight_in_pounds` (double, required, nullable) — The weight in pounds of the lead petThis field is not currently hydrated for PROPERTYWARE\_REST
- `custom_data` (LeadPetsItemsCustomData, required, nullable)

### LeadScreeningsItems

- `id` (string, required) — The Propexo ID of the screening
- `created_at` (string, required) — The date record first entered Propexo
- `last_seen` (string, required) — The date the record was last seen from the PMS
- `x_id` (string, required) — The external ID from the integration vendor
- `status_raw` (string, required, nullable) — The status/results of the screeningThis field is not currently hydrated for PROPERTYWARE\_REST
- `screening_date` (string, required, nullable) — The date the screening took placeThis field is not currently hydrated for PROPERTYWARE\_REST

### LeadPetsItemsCustomData

## Examples

**Response**

```json
{
  "meta": {
    "orderBy": [
      {}
    ],
    "offset": 0,
    "limit": 100,
    "hasMore": true,
    "total": 1000
  },
  "results": [
    {
      "id": "clwktsp9v000008l31iv218hn",
      "created_at": "2024-03-21T15:38:08.337Z",
      "updated_at": "2024-03-22T10:59:45.119Z",
      "last_seen": "2024-03-22T10:59:45.119Z",
      "x_created_at": "2025-01-01T00:00:00Z",
      "x_guestcard_id": null,
      "x_id": "12345622",
      "x_leasing_agent_id": null,
      "x_property_id": "12345678",
      "x_unit_id_preferred": [
        "456",
        "123"
      ],
      "x_updated_at": "2025-01-01T00:00:00Z",
      "x_lead_source_id": null,
      "address_1": null,
      "address_2": null,
      "city": null,
      "country": null,
      "custom_data": {},
      "date_of_birth": null,
      "desired_amenities": null,
      "desired_floor_plan_id": null,
      "desired_floor_plan_name": null,
      "desired_lease_term_in_months": null,
      "desired_max_rent_in_cents": 1000,
      "desired_max_square_ft": null,
      "desired_min_rent_in_cents": 500,
      "desired_min_square_ft": null,
      "desired_num_bathrooms": 1.5,
      "desired_num_bedrooms": 3,
      "desired_unit_number": null,
      "desired_unit_type": null,
      "email_1": "example@example.org",
      "email_2": null,
      "first_name": "John",
      "ils": null,
      "last_name": "Doe",
      "lead_source": "Website",
      "leasing_agent": null,
      "middle_name": null,
      "notes": "Great tenant.",
      "number_of_occupants": null,
      "pets": [
        {
          "id": "clwktsp9v000008l31iv218hn",
          "created_at": "2024-03-21T15:38:08.337Z",
          "updated_at": "2024-03-22T10:59:45.119Z",
          "last_seen": "2024-03-22T10:59:45.119Z",
          "x_id": "string",
          "age_in_years": 1.1,
          "breed": "string",
          "color": "string",
          "gender_raw": "string",
          "is_fixed": true,
          "is_service_animal": true,
          "name": "string",
          "notes": "string",
          "type": "string",
          "weight_in_pounds": 1.1,
          "custom_data": {}
        }
      ],
      "phone_1_type": "MOBILE",
      "phone_1": "123-456-7890",
      "phone_2_type": "HOME",
      "phone_2": "123-456-7891",
      "state": null,
      "status": "Open",
      "target_move_in_date": "2025-01-01T00:00:00Z",
      "zip": null,
      "property_id": "clwi5xiix000008l6ctdgafyh",
      "lead_source_id": null,
      "unit_id_preferred": [
        "cmdfe7xck000107l8fdsqhe1t:123:456",
        "cmdfe7xck000107l8fdsqhe1t:678:123"
      ],
      "integration_id": "clwh5u07w000508me66sfh3um",
      "integration_vendor": "PROPERTYWARE_REST",
      "screenings": [
        {
          "id": "clwktsp9v000008l31iv218hn",
          "created_at": "2024-03-21T15:38:08.337Z",
          "last_seen": "2024-03-22T10:59:45.119Z",
          "x_id": "string",
          "status_raw": "string",
          "screening_date": "string"
        }
      ],
      "x_unit_id": "string",
      "pet_details": "Dog"
    }
  ]
}
```

**SDK Code**

```python
import requests

url = "https://api.propexo.com/v1/leads/"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.propexo.com/v1/leads/';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.propexo.com/v1/leads/"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.propexo.com/v1/leads/")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.propexo.com/v1/leads/")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.propexo.com/v1/leads/', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.propexo.com/v1/leads/");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.propexo.com/v1/leads/")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```